curl https://flameproxies.com/api/customer/non-api-packages/PACKAGE_ID/usage \
-H "Authorization: Bearer fp_live_xxx"
import requests
package_id = 321
resp = requests.get(
f"https://flameproxies.com/api/customer/non-api-packages/{package_id}/usage",
headers={"Authorization": "Bearer fp_live_xxx"},
)
print(resp.json()["package"]["usage"])
const packageId = 321;
const resp = await fetch(
`https://flameproxies.com/api/customer/non-api-packages/${packageId}/usage`,
{ headers: { Authorization: "Bearer fp_live_xxx" } }
);
const { package: pkg } = await resp.json();
console.log(pkg.usage);
{
"package": {
"id": 321,
"plan": "residential",
"username": "fp-user",
"usage": {
"bytes_used": 1200000000,
"max_bytes": 5000000000,
"remaining_bytes": 3800000000,
"gb_used": 1.2,
"gb_total": 5,
"gb_remaining": 3.8,
"percent_used": 24
},
"created_at": "2026-05-13T12:00:00.000Z"
}
}
Non-API Packages
Get non-API package usage
Returns one regular residential or premium residential package with live usage.
GET
/
api
/
customer
/
non-api-packages
/
{id}
/
usage
curl https://flameproxies.com/api/customer/non-api-packages/PACKAGE_ID/usage \
-H "Authorization: Bearer fp_live_xxx"
import requests
package_id = 321
resp = requests.get(
f"https://flameproxies.com/api/customer/non-api-packages/{package_id}/usage",
headers={"Authorization": "Bearer fp_live_xxx"},
)
print(resp.json()["package"]["usage"])
const packageId = 321;
const resp = await fetch(
`https://flameproxies.com/api/customer/non-api-packages/${packageId}/usage`,
{ headers: { Authorization: "Bearer fp_live_xxx" } }
);
const { package: pkg } = await resp.json();
console.log(pkg.usage);
{
"package": {
"id": 321,
"plan": "residential",
"username": "fp-user",
"usage": {
"bytes_used": 1200000000,
"max_bytes": 5000000000,
"remaining_bytes": 3800000000,
"gb_used": 1.2,
"gb_total": 5,
"gb_remaining": 3.8,
"percent_used": 24
},
"created_at": "2026-05-13T12:00:00.000Z"
}
}
Returns one of your regular residential or premium residential packages, with live usage. Packages created through the Customer API are excluded — use get a package for those.
number
required
The package’s numeric
package_id, from list non-API packages.curl https://flameproxies.com/api/customer/non-api-packages/PACKAGE_ID/usage \
-H "Authorization: Bearer fp_live_xxx"
import requests
package_id = 321
resp = requests.get(
f"https://flameproxies.com/api/customer/non-api-packages/{package_id}/usage",
headers={"Authorization": "Bearer fp_live_xxx"},
)
print(resp.json()["package"]["usage"])
const packageId = 321;
const resp = await fetch(
`https://flameproxies.com/api/customer/non-api-packages/${packageId}/usage`,
{ headers: { Authorization: "Bearer fp_live_xxx" } }
);
const { package: pkg } = await resp.json();
console.log(pkg.usage);
{
"package": {
"id": 321,
"plan": "residential",
"username": "fp-user",
"usage": {
"bytes_used": 1200000000,
"max_bytes": 5000000000,
"remaining_bytes": 3800000000,
"gb_used": 1.2,
"gb_total": 5,
"gb_remaining": 3.8,
"percent_used": 24
},
"created_at": "2026-05-13T12:00:00.000Z"
}
}
Response
object
The package, with usage.
Show properties
Show properties
number
Numeric package ID.
string
Product:
residential or premium_residential.string
Proxy username for this package.
object
string
When the package was created, as an ISO 8601 timestamp.
